const getBasePath = (): string => {
    return process.env.NODE_ENV === 'production' ? '/containers/matheothierry-portfolio_nuxt' : '/';
};


export const withBasePath = (path: string): string => {
    if (path.startsWith('http://') || path.startsWith('https://')) {return path;}
    const currentBasePath = getBasePath();
    if (!currentBasePath || path === '') {return path;}
    if (path.startsWith(currentBasePath)) {return path;}
    if (path.startsWith('~/')) {return path;}
    const normalizedPath = path.startsWith('/') ? path : `/${path}`;
    return `${currentBasePath}${normalizedPath}`;
};