import { PATHS } from './paths';
import type { Content } from '~/types/content';
export const content: Content = {
  home: {
    title: "Bienvenue sur mon Portfolio",
    subtitle: "Avec passion et patience.",
    description: "site fait en nuxt.js",
    link: PATHS.LINKS.YOUTUBE
  },
  about: {
    title: "À Propos",
    description: "Je suis passionné d'informatique et de création. Je suis autonome, créatif et méticuleux dans mon travail. J'aime résoudre les problèmes et gérer des équipes. En dehors du travail, j'aime l'escalade et cuisiner. Mes compétences ne se limitent pas au domaine de l'informatique. En effet, je suis également un créateur passionné, capable de transformer des idées en produits concret.",
    experiences: {
      title: "Expériences Professionnelles"
    }
  },
  cv: {
    title: "Mon CV",
    file: PATHS.RESOURCES.CV
  }
}

export const TEXTS = {
  COMMON: {
    BACK: 'Retour',
    BACK_TO_PROJECTS: 'Retour aux projets',
    LOADING: 'Chargement...',
    READ_MORE: 'Lire la suite',
    ERROR: {
      NOT_FOUND: 'Non trouvé',
      PROJECT_NOT_FOUND: 'Le projet que vous recherchez n\'existe pas.',
      IMAGE_LOAD: 'Erreur lors du chargement de l\'image',
      ICON_LOAD: 'Erreur lors du chargement de l\'icône'
    }
  },
  PROJECTS: {
    TITLE: 'Mes Projets',
    LOADING: 'Chargement des projets...',
    DESCRIPTION: {
      TITLE: 'Description',
      FEATURES: 'Fonctionnalités',
      RESOURCES: 'Ressources',
      GALLERY: 'Galerie d\'images'
    },
    RESOURCES: {
      GITHUB: 'GitHub',
      DEMO: 'Demo',
      DOCUMENTATION: 'Documentation',
      YOUTUBE: 'YouTube'
    },
    STATUS: {
      COMPLETED: 'Terminé',
      IN_PROGRESS: 'En cours',
      PLANNED: 'Planifié'
    }
  },
  FOOTER: {
    COPYRIGHT: 'Tous droits réservés',
  },
  THEME: {
    TOGGLE_LABEL: 'Changer de thème',
    LIGHT: 'Passer au thème sombre',
    DARK: 'Passer au thème clair'
  }
} as const;