import type { Project } from '~/types/project';
import { PATHS } from './paths';

export interface ProjectResource {
  name: string;
  icon: string;
  url: string;
}

export const projects: Project[] = [
  {
    id: 1,
    title: 'Portfolio Nuxt',
    description: 'Mon portfolio personnel développé avec Nuxt 3',
    longDescription: 'Un portfolio moderne et responsive développé avec Nuxt 3, TypeScript et CSS. Ce projet met en avant mes compétences en développement web sur un technologie non utilisée dans mes autres projets et présente mes différents projets.',
    image: PATHS.IMAGES.PROJECTS.PORTFOLIO,
    technologies: ['Nuxt 3', 'TypeScript', 'CSS', 'html', 'javascript'],
    features: [
      'Design responsive et moderne',
      'Thème clair/sombre',
      'Animations fluides',
      'Optimisation des performances'
    ],
    github: PATHS.LINKS.PROJECTS.PORTFOLIO.GITHUB,
    demo: PATHS.LINKS.PROJECTS.PORTFOLIO.DEMO,
    date: '2025-05',
    status: 'in-progress',
    resources: [
      {
        title: 'Framework utilisé',
        description: 'Nuxt 3',
        link: 'https://nuxt.com/'
      },
    ],
    gallery: PATHS.IMAGES.GALLERY.PORTFOLIO
  },
  {
    id: 2,
    title: 'IRIS project',
    description: "Infrastructure residentiel d'intelligence et de sécurité",
    longDescription: 'temp',
    image: PATHS.IMAGES.PROJECTS.IRIS,
    technologies: ['GOlang', 'python'],
    features: [
      'Authentification utilisateur',
      'temp'
    ],
    github: PATHS.LINKS.PROJECTS.IRIS.GITHUB,
    demo: PATHS.LINKS.PROJECTS.IRIS.DEMO,
    date: '2024-02',
    status: 'in-progress',
    resources: [
      {
        title: 'Guide d\'installation',
        description: 'Instructions détaillées pour installer et configurer le projet',
        link: 'https://docs.com/installation'
      },
    ]
  },
  {
    id: 3,
    title: "Chromino",
    description: "Jeu de société multijoueur en 3D",
    longDescription: "J'ai participé au développement de 3Dmino, une plateforme en ligne offrant une expérience multijoueur du jeu Chromino, inspiré du célèbre jeu de société d'Asmodee. Cette plateforme propose différentes variantes de jeu, allant des chrominos de tailles 3, 4 et 5, en 2D et 3D, à diverses formes de chromino. De plus, les joueurs ont la possibilité d'affronter des intelligences artificielles. Ce projet m'a permis d'appliquer mes compétences, notamment dans l'analyse des exigences et le développement complet d'une application (compétence 4.1), ainsi que dans la recherche et l'implémentation d'amélioration dans la base de donnée (compétence 4.4). Ce fut une occasion précieuse pour perfectionner mes capacités à maintenir et faire évoluer du code, nécessaires pour créer un jeu multijoueur en temps réel en 3D, avec des intelligences artificielles fonctionnant sur navigateur et beaucoup de passage de donnée.",
    image: PATHS.IMAGES.PROJECTS.CHROMINO,
    technologies: ["php", "html", "css", "javascript", "blazor", "mysql", "sqlite", "nodejs"],
    features: [
      'temp'
    ],
    github: PATHS.LINKS.PROJECTS.CHROMINO.GITHUB,
    demo: PATHS.LINKS.PROJECTS.CHROMINO.DEMO,
    date: '2024-02',
    status: 'in-progress',
    resources: [
      {
        title: 'Framework utilisé',
        description: 'none',
        link: ''
      },
    ]
  },
  {
    id: 4,
    title: "Clavier DIY",
    description: "clavier mécanique DIY",
    longDescription: "J'ai réalisé un clavier mécanique DIY, en utilisant un PCB que j'ai conçu, et commandé sur un site spécialisé. Des switchs Red acheté sur Aliexpress, des keycaps au format XDA. Le changement de couleur des LED RGB est est également possible. En ce qui concerne la case du clavier, j'ai utilisé une cnc fait maison à l'aide d'une imprimante 3D. le model réalisé pour faire la case à aussi été fait à la main. Ce projet m'a permis de développer mes compétences en Modelisation 3D, electronique et en programmation.",
    image: PATHS.IMAGES.PROJECTS.CLAVIER,
    technologies: [],
    features: [
      'temp'
    ],
    github: PATHS.LINKS.PROJECTS.CLAVIER.GITHUB,
    demo: PATHS.LINKS.PROJECTS.CLAVIER.DEMO,
    date: '2024-02',
    status: 'in-progress',
    resources: [
      {
        title: 'Framework utilisé',
        description: 'none',
        link: ''
      },
    ]
  },
  {
    id: 5,
    title: "Modélisation 3D",
    description: "Modélisation 3d sur blender et solidworks",
    longDescription: "J'ai réalisé un modèle 3D d'une chaise sur Blender, en utilisant des techniques de modélisation 3D. J'ai ensuite exporté le modèle en format .obj pour l'utiliser dans un projet Unity. Ce projet m'a permis de développer mes compétences en modélisation 3D, en utilisant des techniques avancées de modélisation, de texturage et d'éclairage. Ce projet était d'estiné à un projet de jeu vidéo, pour lequel j'ai réalisé plusieurs modèles 3D. Malheureusement, le projet n'a pas abouti, mais j'ai pu découvrir le développement à l'aide de cela.",
    image: PATHS.IMAGES.PROJECTS.MODELISATION,
    technologies: ["blender", "solidworks", "CURA"],
    features: [
      'temp'
    ],
    github: PATHS.LINKS.PROJECTS.MODELISATION.GITHUB,
    demo: PATHS.LINKS.PROJECTS.MODELISATION.DEMO,
    date: '2024-02',
    status: 'in-progress',
    resources: [
      {
        title: 'Framework utilisé',
        description: 'none',
        link: ''
      },
    ]
  },
  {
    id: 6,
    title: "Home Lab",
    description: "création d'un home lab pour des tests et des expérimentations",
    longDescription: "J'ai achété plusieurs server pour créer un labo de test. Cette installation me permet de tester et d'expérimenter sur plusieurs projet comme des serveurs minecraft, des serveurs web, des serveurs de stockage.",
    image: PATHS.IMAGES.PROJECTS.SERVER,
    technologies: ["Ansible"],
    features: [
      'temp'
    ],
    github: PATHS.LINKS.PROJECTS.SERVER.GITHUB,
    demo: PATHS.LINKS.PROJECTS.SERVER.DEMO,
    date: '2024-02',
    status: 'in-progress',
    resources: [
      {
        title: 'Framework utilisé',
        description: 'none',
        link: ''
      },
    ]
  },
  {
    id: 7,
    title: "IA Souris",
    description: "IA en colaboration avec le chu de clermont ferrand pour de l'analyse de comportement de souris",
    longDescription: "temp",
    image: PATHS.IMAGES.PROJECTS.TEMP,
    technologies: ["python"],
    features: [
      'temp'
    ],
    github: PATHS.LINKS.PROJECTS.TEMP.GITHUB,
    demo: PATHS.LINKS.PROJECTS.TEMP.DEMO,
    date: '2024-02',
    status: 'in-progress',
    resources: [
      {
        title: 'Framework utilisé',
        description: 'none',
        link: ''
      },
    ]
  },
  {
    id: 8,
    title: "old portfolio",
    description: "portfolio en php, html, css et javascript (+ celui de 2eme année)",
    longDescription: "temp",
    image: PATHS.IMAGES.PROJECTS.TEMP,
    technologies: ["php", "html", "css", "javascript"],
    features: [
      'temp'
    ],
    github: PATHS.LINKS.PROJECTS.TEMP.GITHUB,
    demo: PATHS.LINKS.PROJECTS.TEMP.DEMO,
    date: '2024-02',
    status: 'in-progress',
    resources: [
      {
        title: 'Framework utilisé',
        description: 'none',
        link: ''
      },
    ]
  },
  {
    id: 9,
    title: "flouface, rework",
    description: "programme pour flouter des images, video et caméra live (deux meme projet sur deux langage different)",
    longDescription: "temp",
    image: PATHS.IMAGES.PROJECTS.FLOUFACE,
    technologies: ["python", "Go"],
    features: [
      'temp'
    ],
    github: PATHS.LINKS.PROJECTS.FLOUFACE.GITHUB,
    demo: PATHS.LINKS.PROJECTS.FLOUFACE.DEMO,
    date: '2024-02',
    status: 'in-progress',
    resources: [
      {
        title: 'Framework utilisé',
        description: 'none',
        link: ''
      },
    ]
  },
  {
    id: 10,
    title: "WMS et ERP",
    description: "app gestion de stock pour entreprise",
    longDescription: "temp",
    image: PATHS.IMAGES.PROJECTS.TEMP,
    technologies: ["à déterminer"],
    features: [
      'temp'
    ],
    github: PATHS.LINKS.PROJECTS.TEMP.GITHUB,
    demo: PATHS.LINKS.PROJECTS.TEMP.DEMO,
    date: '2024-02',
    status: 'planned',
    resources: [
      {
        title: 'Framework utilisé',
        description: 'none',
        link: ''
      },
    ]
  },
  {
    id: 11,
    title: "Entreprise Boardeen",
    description: "entreprise de création de clavier mécanique custom en bois et autre accessoires",
    longDescription: "temp",
    image: PATHS.IMAGES.PROJECTS.TEMP,
    technologies: [],
    features: [
      'temp'
    ],
    github: PATHS.LINKS.PROJECTS.TEMP.GITHUB,
    demo: PATHS.LINKS.PROJECTS.TEMP.DEMO,
    date: '2024-02',
    status: 'planned',
    resources: [
      {
        title: 'Framework utilisé',
        description: 'none',
        link: ''
      },
    ]
  }
];